### Function

# EDataServer queue_transfer

since: 3.8

#### Declaration [src]

    void
    e_queue_transfer (
      GQueue* src_queue,
      GQueue* dst_queue
    )

#### Description [src]

Transfers the contents of `src_queue` to the tail of `dst_queue`. When the operation is complete, `src_queue` will be empty.

Available since: 3.8

#### Parameters

`src_queue`

  Type: `GQueue`

  A source `GQueue`.

  The data is owned by the caller of the function.

`dst_queue`

  Type: `GQueue`

  A destination `GQueue`.

  The data is owned by the caller of the function.